!
! $Id: gr_dyn_fi_p.F90 5367 2024-12-03 09:40:13Z abarral $
!
#ifdef CPP_PARA
SUBROUTINE gr_dyn_fi_p(nfield,im,jm,ngrid,pdyn,pfi)
  ! Interface with parallel physics,
  USE mod_interface_dyn_phys
  USE dimphy
  USE parallel_lmdz
  IMPLICIT NONE
  !=======================================================================
  !   passage d'un champ de la grille scalaire a la grille physique
  !=======================================================================

  !-----------------------------------------------------------------------
  !   declarations:
  !   -------------

  INTEGER :: im,jm,ngrid,nfield
  REAL :: pdyn(im,jm,nfield)
  REAL :: pfi(ngrid,nfield)

  INTEGER :: i,j,ig,l

  !-----------------------------------------------------------------------
  !   calcul:
  !   -------

   ! IF(ngrid.NE.2+(jm-2)*(im-1)) STOP 'probleme de dim'
  !   traitement des poles
  !   traitement des point normaux
!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
  DO l=1,nfield
   DO ig=1,klon
     i=index_i(ig)
     j=index_j(ig)
     pfi(ig,l)=pdyn(i,j,l)
   ENDDO
  ENDDO
!$OMP END DO NOWAIT
  ! of #ifdef CPP_PARA
  RETURN
END SUBROUTINE gr_dyn_fi_p
#endif
